## Update Stream `client.pipelines.streams.update(stringstreamId, StreamUpdateParamsparams, RequestOptionsoptions?): StreamUpdateResponse` **patch** `/accounts/{account_id}/pipelines/v1/streams/{stream_id}` Update a Stream. ### Parameters - `streamId: string` Specifies the public ID of the stream. - `params: StreamUpdateParams` - `account_id: string` Path param: Specifies the public ID of the account. - `http?: HTTP` Body param - `authentication: boolean` Indicates that authentication is required for the HTTP endpoint. - `enabled: boolean` Indicates that the HTTP endpoint is enabled. - `cors?: CORS` Specifies the CORS options for the HTTP endpoint. - `origins?: Array` - `worker_binding?: WorkerBinding` Body param - `enabled: boolean` Indicates that the worker binding is enabled. ### Returns - `StreamUpdateResponse` - `id: string` Indicates a unique identifier for this stream. - `created_at: string` - `http: HTTP` - `authentication: boolean` Indicates that authentication is required for the HTTP endpoint. - `enabled: boolean` Indicates that the HTTP endpoint is enabled. - `cors?: CORS` Specifies the CORS options for the HTTP endpoint. - `origins?: Array` - `modified_at: string` - `name: string` Indicates the name of the Stream. - `version: number` Indicates the current version of this stream. - `worker_binding: WorkerBinding` - `enabled: boolean` Indicates that the worker binding is enabled. - `endpoint?: string` Indicates the endpoint URL of this stream. - `format?: Json | Parquet` - `Json` - `type: "json"` - `"json"` - `decimal_encoding?: "number" | "string" | "bytes"` - `"number"` - `"string"` - `"bytes"` - `timestamp_format?: "rfc3339" | "unix_millis"` - `"rfc3339"` - `"unix_millis"` - `unstructured?: boolean` - `Parquet` - `type: "parquet"` - `"parquet"` - `compression?: "uncompressed" | "snappy" | "gzip" | 2 more` - `"uncompressed"` - `"snappy"` - `"gzip"` - `"zstd"` - `"lz4"` - `row_group_bytes?: number | null` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const stream = await client.pipelines.streams.update('033e105f4ecef8ad9ca31a8372d0c353', { account_id: '0123105f4ecef8ad9ca31a8372d0c353', }); console.log(stream.id); ``` #### Response ```json { "result": { "id": "01234567890123457689012345678901", "created_at": "2019-12-27T18:11:19.117Z", "http": { "authentication": false, "enabled": true, "cors": { "origins": [ "string" ] } }, "modified_at": "2019-12-27T18:11:19.117Z", "name": "my_stream", "version": 3, "worker_binding": { "enabled": true }, "endpoint": "https://01234567890123457689012345678901.ingest.cloudflare.com/v1", "format": { "type": "json", "decimal_encoding": "number", "timestamp_format": "rfc3339", "unstructured": true } }, "success": true } ```